Skip to content

Attached Volumes

GET
/api/v1/nodes/{node_id}/attached-volumes/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/attached-volumes/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used for authenticating the request

Example

<API_KEY>
location
required
string

Specifies the location filter for attached volumes.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the attached volumes response

integer
data
Array<object>
object
id

Unique identifier for the attached volume

integer
volume_name

Name of the attached volume

string
total_size

Total size of the attached volume as a stringified number of bytes

string
total_size_string

Human-readable total size of the volume

string
total_iops_sec

IOPS per second for the attached volume

string
bs_size

Size of the attached volume in gigabytes

number
hourly_price

Hourly price of the attached volume as a formatted string.

string
monthly_price

Monthly price of the attached volume

string
is_encrypted

Indicates whether the attached volume is encrypted.

boolean
errors
object
message

Status message indicating the result of the request

string

Example

{
"code": 200,
"data": [
{
"id": 1234,
"volume_name": "V_100GB_160",
"total_size": "12345",
"total_size_string": "100.0 GB",
"total_iops_sec": "1500",
"bs_size": 0.1,
"hourly_price": "Rs. 0.69/Hour",
"monthly_price": "Rs. 500.0 Monthly",
"is_encrypted": false
}
],
"message": "Success"
}